Bug 1743893

Summary: nextpnr fails to build with Python 3.8
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: nextpnrAssignee: Lubomir Rintel <lkundrak>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: rawhideCC: lkundrak, somlo
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nextpnr-0-0.7.20190821gitc192ba2.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-08-22 19:49:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1744292    
Bug Blocks: 1686977    
Attachments:
Description Flags
failure to use provided copr repo for python 8 to reproduce actual build failure none

Description Miro Hrončok 2019-08-20 23:04:05 UTC
nextpnr-0-0.6.20190415gitdb7e850.fc32 failed to rebuild with Python 3.8.

See https://koji.fedoraproject.org/koji/buildinfo?buildID=1358710

The error is:

BUILDSTDERR:   No version of Boost::Python 3.x could be found.


This issue is blocking the Python 3.8 rebuilds. If this package won't build with 3.8, it won't be installable, along with all its dependent packages, after the side tag is merged.
Furthermore, as it fails to install, its dependent packages will fail to install and/or build as well. 


The coordinated rebuild of Python 3.8 has started in the `f32-python` side tag.

If you figure out how to rebuild this package, please don't rebuild it in regular rawhide, but use the side tag instead:

    on branch master:
    $ fedpkg build --target=f32-python

To wait for a build to show up in the side tag, do:

    $ koji wait-repo f32-python --build=<nvr>

Where <nvr> is name-version-release of the source package, e.g. python-foo-1.1-2.fc32.

An updated mock config is posted at: http://copr.fedorainfracloud.org/coprs/g/python/python3.8/

Thanks. Let us know if you need up to date info, or if you have any questions.

Comment 1 Gabriel Somlo 2019-08-21 14:19:34 UTC
Created attachment 1606555 [details]
failure to use provided copr repo for python 8 to reproduce actual build failure

Comment 2 Gabriel Somlo 2019-08-21 15:03:36 UTC
re. comment #1 -- got confused by koji vs. copr mock configs, but Miro sorted me out on IRC :)

re. actual bug, see https://github.com/YosysHQ/nextpnr/pull/316; once that's applied, I will submit an updated package and request a koji build.

Comment 3 Miro Hrončok 2019-08-21 16:35:34 UTC
The f32-python side tag has been merged. In order to rebuild the package, do it in regular rawhide, but please wait until python3-3.8 is tagged:

  $ koji wait-repo f32-build --build python3-3.8.0~b3-3.fc32


If your built already started in f32-python, after it is finished, please tag it to rawhide with:

  $ koji tag-build f32-pending <nvr>

For example:

  $ koji tag-build f32-pending libreoffice-6.3.0.4-3.fc32

Thanks!

(This comment is mass posted to all bugzillas blocking the PYTHON38 tracking bug.)

Comment 4 Miro Hrončok 2019-08-21 17:29:32 UTC
(Python 3.8 has landed in the rawhide buildroot.)

Comment 5 Gabriel Somlo 2019-08-21 18:23:07 UTC
https://koji.fedoraproject.org/koji/taskinfo?taskID=37210085

failed with:

DEBUG util.py:585:  BUILDSTDERR: Error: 
DEBUG util.py:585:  BUILDSTDERR:  Problem: package qt5-qtconfiguration-devel-0.3.1-10.fc31.x86_64 requires qt5-qtbase-devel(x86-64), but none of the providers can be installed
DEBUG util.py:585:  BUILDSTDERR:   - conflicting requests
DEBUG util.py:585:  BUILDSTDERR:   - nothing provides pkgconfig(egl) needed by qt5-qtbase-devel-5.12.4-6.fc31.x86_64
DEBUG util.py:587:  (try to add '--skip-broken' to skip uninstallable packages)

on both rawhide (f32) and f31 koji.

Working on figuring out whether this is breakage in koji, qt5, both, or neither :)

Comment 6 Gabriel Somlo 2019-08-22 19:49:17 UTC
fixed in version nextpnr-0-0.7.20190821gitc192ba2.fc32 (https://koji.fedoraproject.org/koji/taskinfo?taskID=37227176).

I'm also submitting updates for f31 and f30.

Comment 7 Fedora Update System 2019-08-23 12:47:25 UTC
FEDORA-2019-73a8aec6c4 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-73a8aec6c4

Comment 8 Fedora Update System 2019-08-24 01:36:20 UTC
nextpnr-0-0.7.20190821gitc192ba2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-73a8aec6c4

Comment 9 Fedora Update System 2019-09-01 06:43:59 UTC
nextpnr-0-0.7.20190821gitc192ba2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.